Retrieve an import priority

get

/api/bulk/2.0/imports/priorities/{id}

Retrieves an import priority.

Request

Supported Media Types
Path Parameters
Back to Top

Response

Supported Media Types

200 Response

OK.
Body ()
Root Schema : ImportPriorityIndividualResponse
Type: object
Title: ImportPriorityIndividualResponse
The response body contains information about the import priority definition.
Show Source
  • Title: createdAt
    The date and time the entity was created, expressed using the ISO-8601 standard. This is a read-only property.
  • Title: createdBy
    The login id of the user who created the entity. This is a read-only property.
  • Title: name
    The asset's name.
  • Title: priority
    The import's queue position. This is a read-only property.
  • Title: updatedAt
    The date and time the entity was last updated, expressed using the ISO-8601 standard. This is a read-only property.
  • Title: updatedBy
    The login id of the user that last updated the entity. This is a read-only property.
  • Title: uri
    System-generated unique resource identifier that defines the definition for future referencing. This is a read-only property.

400 Response

Bad request. See Status Codes for information about other possible HTTP status codes.

401 Response

Unauthorized. See Status Codes for information about other possible HTTP status codes.

403 Response

Forbidden. See Status Codes for information about other possible HTTP status codes.

404 Response

The requested resource was not found. See Status Codes for information about other possible HTTP status codes.

409 Response

There was a conflict. See Status Codes for information about other possible HTTP status codes.

410 Response

The requested resource is no longer available. See Status Codes for information about other possible HTTP status codes.

412 Response

The resource you are attempting to delete has dependencies, and cannot be deleted. See Status Codes for information about other possible HTTP status codes.

413 Response

Storage space exceeded. See Status Codes for information about other possible HTTP status codes.

500 Response

The service has encountered an internal server error. See Status Codes for information about other possible HTTP status codes.

503 Response

There was a timeout processing the request. See Status Codes for information about other possible HTTP status codes.
Back to Top

Examples

The following examples demonstrate how to retrieve an import priority using an HTTP request and cURL. For more information on requests, see API requests.

HTTP Request Example

Retrieve the import in 4th priority position:


GET /imports/priorities/100004
			

Response:


{
    "name":"Eloqua Report",
    "priority":4,
    "uri":"/imports/priorities/100004",
    "createdAt":"2012-04-15T15:42:17.5470000Z",
    "updatedAt":"2012-04-15T15:42:17.5470000Z"
}
			

cURL Example

Here is the same example in cURL given an instance with the name APITest, username API.User, and POD of 3.


curl --user "APITest\API.User" --request GET https://secure.p03.eloqua.com/api/bulk/2.0/imports/priorities/100004
			
Back to Top